<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/AVSCommon/Utils/include/AVSCommon/Utils/Metrics.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_13e65effb2bde530b17b3d5eefcd0266.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a></li><li class="navelem"><a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a></li><li class="navelem"><a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Metrics.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_metrics_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright 2017-2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;).</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * You may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * A copy of the License is located at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     http://aws.amazon.com/apache2.0/</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * or in the &quot;license&quot; file accompanying this file. This file is distributed</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * express or implied. See the License for the specific language governing</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * permissions and limitations under the License.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#ifndef ALEXA_CLIENT_SDK_AVSCOMMON_UTILS_INCLUDE_AVSCOMMON_UTILS_METRICS_H_</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#define ALEXA_CLIENT_SDK_AVSCOMMON_UTILS_INCLUDE_AVSCOMMON_UTILS_METRICS_H_</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_log_entry_8h.html">AVSCommon/Utils/Logger/LogEntry.h</a>&gt;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_a_v_s_message_8h.html">AVSCommon/AVS/AVSMessage.h</a>&gt;</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a> {</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">namespace </span>avsCommon {</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">namespace </span>utils {</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00026"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html#a85e2f166578b5236e8123ed50a608024">   26</a></span>&#160;<span class="keyword">const</span> std::string <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html#a85e2f166578b5236e8123ed50a608024">METRICS_TAG</a> = <span class="stringliteral">&quot;:METRICS:&quot;</span>;</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;</div><div class="line"><a name="l00028"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_metrics.html">   28</a></span>&#160;<span class="keyword">class </span><a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_metrics.html">Metrics</a> {</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_metrics.html#a8c28be1da20606a37e7a56d54ad1bb63">   33</a></span>&#160;    <span class="keyword">enum</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_metrics.html#a8c28be1da20606a37e7a56d54ad1bb63">Location</a> {</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;        <span class="comment">// Enqueue message in ADSL module</span></div><div class="line"><a name="l00035"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_metrics.html#a8c28be1da20606a37e7a56d54ad1bb63a9c3531b6c551c76c0cb7952c30d51b48">   35</a></span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_metrics.html#a8c28be1da20606a37e7a56d54ad1bb63a9c3531b6c551c76c0cb7952c30d51b48">ADSL_ENQUEUE</a>,</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;        <span class="comment">// Dequeue message in ADSL module</span></div><div class="line"><a name="l00038"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_metrics.html#a8c28be1da20606a37e7a56d54ad1bb63ac7581f42a7593e6a3ba1cdca39335037">   38</a></span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_metrics.html#a8c28be1da20606a37e7a56d54ad1bb63ac7581f42a7593e6a3ba1cdca39335037">ADSL_DEQUEUE</a>,</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;        <span class="comment">// SpeechSynthesizer receive the message</span></div><div class="line"><a name="l00041"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_metrics.html#a8c28be1da20606a37e7a56d54ad1bb63a30ff5900a1b6924746320cf7c7dad2a7">   41</a></span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_metrics.html#a8c28be1da20606a37e7a56d54ad1bb63a30ff5900a1b6924746320cf7c7dad2a7">SPEECH_SYNTHESIZER_RECEIVE</a>,</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;        <span class="comment">// AudioInputProcessor receive the message</span></div><div class="line"><a name="l00044"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_metrics.html#a8c28be1da20606a37e7a56d54ad1bb63aa8ab0920250391c5538d99b3aaf8b6ba">   44</a></span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_metrics.html#a8c28be1da20606a37e7a56d54ad1bb63aa8ab0920250391c5538d99b3aaf8b6ba">AIP_RECEIVE</a>,</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;        <span class="comment">// AudioInputProcessor send the message</span></div><div class="line"><a name="l00047"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_metrics.html#a8c28be1da20606a37e7a56d54ad1bb63aefe952dae6de8dcd44ebe58a3972f4e1">   47</a></span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_metrics.html#a8c28be1da20606a37e7a56d54ad1bb63aefe952dae6de8dcd44ebe58a3972f4e1">AIP_SEND</a>,</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;        <span class="comment">// Used when issuing an extra metric log for missing Ids</span></div><div class="line"><a name="l00050"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_metrics.html#a8c28be1da20606a37e7a56d54ad1bb63a7c582148143ef80aa65f7e17737d9f46">   50</a></span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_metrics.html#a8c28be1da20606a37e7a56d54ad1bb63a7c582148143ef80aa65f7e17737d9f46">BUILDING_MESSAGE</a></div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;    };</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;    <span class="keyword">static</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">logger::LogEntry</a>&amp; <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_metrics.html#ab1e022342a65dccb86617a4aa26fc5b9">d</a>(</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>&amp; <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a16a7d59de6eaa9fd4b9a7d8633249e8d">logEntry</a>,</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;        <span class="keyword">const</span> std::string&amp; name,</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;        <span class="keyword">const</span> std::string&amp; messageId,</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;        <span class="keyword">const</span> std::string&amp; dialogRequestId,</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_metrics.html#a8c28be1da20606a37e7a56d54ad1bb63">Location</a> location);</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;    <span class="keyword">static</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">logger::LogEntry</a>&amp; <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_metrics.html#ab1e022342a65dccb86617a4aa26fc5b9">d</a>(</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>&amp; <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a16a7d59de6eaa9fd4b9a7d8633249e8d">logEntry</a>,</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;        <span class="keyword">const</span> std::shared_ptr&lt;alexaClientSDK::avsCommon::avs::AVSMessage&gt; msg,</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_metrics.html#a8c28be1da20606a37e7a56d54ad1bb63">Location</a> location);</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;    <span class="keyword">static</span> <span class="keyword">const</span> std::string locationToString(<a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_metrics.html#a8c28be1da20606a37e7a56d54ad1bb63">Location</a> location);</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;};</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;}  <span class="comment">// namespace utils</span></div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;}  <span class="comment">// namespace avsCommon</span></div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;}  <span class="comment">// namespace alexaClientSDK</span></div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;<span class="preprocessor">#ifdef ACSDK_LATENCY_LOG_ENABLED</span></div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;<span class="preprocessor">#define ACSDK_METRIC_WITH_ENTRY(entry) ACSDK_CRITICAL(entry)</span></div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;<span class="preprocessor">#define ACSDK_METRIC_IDS(TAG, name, messageId, dialogRequestId, location)                                   \</span></div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;<span class="preprocessor">    do {                                                                                                    \</span></div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;<span class="preprocessor">        alexaClientSDK::avsCommon::utils::logger::LogEntry logEntry(                                        \</span></div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;<span class="preprocessor">            TAG, __func__ + alexaClientSDK::avsCommon::utils::METRICS_TAG);                                 \</span></div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;<span class="preprocessor">        alexaClientSDK::avsCommon::utils::Metrics::d(logEntry, name, messageId, dialogRequestId, location); \</span></div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;<span class="preprocessor">        ACSDK_METRIC_WITH_ENTRY(logEntry);                                                                  \</span></div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;<span class="preprocessor">    } while (false)</span></div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;</div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;<span class="preprocessor">#define ACSDK_METRIC_MSG(TAG, msg, location)                                   \</span></div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;<span class="preprocessor">    do {                                                                       \</span></div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;<span class="preprocessor">        alexaClientSDK::avsCommon::utils::logger::LogEntry logEntry(           \</span></div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;<span class="preprocessor">            TAG, __func__ + alexaClientSDK::avsCommon::utils::METRICS_TAG);    \</span></div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;<span class="preprocessor">        alexaClientSDK::avsCommon::utils::Metrics::d(logEntry, msg, location); \</span></div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;<span class="preprocessor">        ACSDK_METRIC_WITH_ENTRY(logEntry);                                     \</span></div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;<span class="preprocessor">    } while (false)</span></div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;</div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;<span class="preprocessor">#else  // ACSDK_LATENCY_LOG_ENABLED</span></div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;</div><div class="line"><a name="l00146"></a><span class="lineno"><a class="line" href="_metrics_8h.html#a494cfc7a76f54c125d710e455d376faa">  146</a></span>&#160;<span class="preprocessor">#define ACSDK_METRIC_IDS(TAG, name, messageId, dialogRequestId, location)</span></div><div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;</div><div class="line"><a name="l00155"></a><span class="lineno"><a class="line" href="_metrics_8h.html#afd20822dff70cc0a7186a38b32894968">  155</a></span>&#160;<span class="preprocessor">#define ACSDK_METRIC_MSG(TAG, msg, location)</span></div><div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;</div><div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;<span class="preprocessor">#endif  // ACSDK_LATENCY_LOG_ENABLED</span></div><div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;</div><div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;<span class="preprocessor">#endif  // ALEXA_CLIENT_SDK_AVSCOMMON_UTILS_INCLUDE_AVSCOMMON_UTILS_METRICS_H_</span></div><div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_metrics_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_metrics.html">alexaClientSDK::avsCommon::utils::Metrics</a></div><div class="ttdef"><b>Definition:</b> Metrics.h:28</div></div>
<div class="ttc" id="_a_v_s_message_8h_html"><div class="ttname"><a href="_a_v_s_message_8h.html">AVSMessage.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_metrics_html_a8c28be1da20606a37e7a56d54ad1bb63aa8ab0920250391c5538d99b3aaf8b6ba"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_metrics.html#a8c28be1da20606a37e7a56d54ad1bb63aa8ab0920250391c5538d99b3aaf8b6ba">alexaClientSDK::avsCommon::utils::Metrics::AIP_RECEIVE</a></div><div class="ttdef"><b>Definition:</b> Metrics.h:44</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_metrics_html_a8c28be1da20606a37e7a56d54ad1bb63a7c582148143ef80aa65f7e17737d9f46"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_metrics.html#a8c28be1da20606a37e7a56d54ad1bb63a7c582148143ef80aa65f7e17737d9f46">alexaClientSDK::avsCommon::utils::Metrics::BUILDING_MESSAGE</a></div><div class="ttdef"><b>Definition:</b> Metrics.h:50</div></div>
<div class="ttc" id="_log_entry_8h_html"><div class="ttname"><a href="_log_entry_8h.html">LogEntry.h</a></div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_html_a85e2f166578b5236e8123ed50a608024"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html#a85e2f166578b5236e8123ed50a608024">alexaClientSDK::avsCommon::utils::METRICS_TAG</a></div><div class="ttdeci">const std::string METRICS_TAG</div><div class="ttdef"><b>Definition:</b> Metrics.h:26</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_html_a16a7d59de6eaa9fd4b9a7d8633249e8d"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a16a7d59de6eaa9fd4b9a7d8633249e8d">alexaClientSDK::avsCommon::utils::logger::logEntry</a></div><div class="ttdeci">void logEntry(Level level, const LogEntry &amp;entry)</div><div class="ttdef"><b>Definition:</b> LoggerUtils.cpp:88</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_html"><div class="ttname"><a href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></div><div class="ttdoc">Whether or not curl logs should be emitted. </div><div class="ttdef"><b>Definition:</b> AVSConnectionManager.h:37</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_metrics_html_a8c28be1da20606a37e7a56d54ad1bb63ac7581f42a7593e6a3ba1cdca39335037"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_metrics.html#a8c28be1da20606a37e7a56d54ad1bb63ac7581f42a7593e6a3ba1cdca39335037">alexaClientSDK::avsCommon::utils::Metrics::ADSL_DEQUEUE</a></div><div class="ttdef"><b>Definition:</b> Metrics.h:38</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_metrics_html_a8c28be1da20606a37e7a56d54ad1bb63a9c3531b6c551c76c0cb7952c30d51b48"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_metrics.html#a8c28be1da20606a37e7a56d54ad1bb63a9c3531b6c551c76c0cb7952c30d51b48">alexaClientSDK::avsCommon::utils::Metrics::ADSL_ENQUEUE</a></div><div class="ttdef"><b>Definition:</b> Metrics.h:35</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_metrics_html_ab1e022342a65dccb86617a4aa26fc5b9"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_metrics.html#ab1e022342a65dccb86617a4aa26fc5b9">alexaClientSDK::avsCommon::utils::Metrics::d</a></div><div class="ttdeci">static logger::LogEntry &amp; d(alexaClientSDK::avsCommon::utils::logger::LogEntry &amp;logEntry, const std::string &amp;name, const std::string &amp;messageId, const std::string &amp;dialogRequestId, Location location)</div><div class="ttdef"><b>Definition:</b> Metrics.cpp:49</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_metrics_html_a8c28be1da20606a37e7a56d54ad1bb63a30ff5900a1b6924746320cf7c7dad2a7"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_metrics.html#a8c28be1da20606a37e7a56d54ad1bb63a30ff5900a1b6924746320cf7c7dad2a7">alexaClientSDK::avsCommon::utils::Metrics::SPEECH_SYNTHESIZER_RECEIVE</a></div><div class="ttdef"><b>Definition:</b> Metrics.h:41</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_metrics_html_a8c28be1da20606a37e7a56d54ad1bb63aefe952dae6de8dcd44ebe58a3972f4e1"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_metrics.html#a8c28be1da20606a37e7a56d54ad1bb63aefe952dae6de8dcd44ebe58a3972f4e1">alexaClientSDK::avsCommon::utils::Metrics::AIP_SEND</a></div><div class="ttdef"><b>Definition:</b> Metrics.h:47</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_metrics_html_a8c28be1da20606a37e7a56d54ad1bb63"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_metrics.html#a8c28be1da20606a37e7a56d54ad1bb63">alexaClientSDK::avsCommon::utils::Metrics::Location</a></div><div class="ttdeci">Location</div><div class="ttdef"><b>Definition:</b> Metrics.h:33</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a></div><div class="ttdoc">LogEntry is used to compile the log entry text to log via Logger. </div><div class="ttdef"><b>Definition:</b> LogEntry.h:30</div></div>
</div><!-- fragment --></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
